[Linux-HA] LZO requirement in interim RPMs

Lars Marowsky-Bree lmb at suse.de
Thu Oct 11 05:25:51 MDT 2007


On 2007-10-11T02:37:05, Carson Gaspar <carson at taltos.org> wrote:

>> all i know is that installing zlib failed when i removed the lzo 
>> dependancy
>> (the build service installs a minimal system from scratch for every 
>> compile)
> Then either your package is broken (has a missing dependency) or the build 
> service is broken (doesn't check multi-level dependencies). Yuck. I'll just 
> keep hacking it out.

The internal build system of older SUSE releases indeed doesn't do
recursive expansion; newer ones do. So it should be alright to special
case this for SUSE in the specfile.

(It was intentional, because in the earlier days, packages included lots
of unnecessary dependencies, so the build root was overblown. Nowadays
that's been fixed.)


Regards,
    Lars

-- 
Teamlead Kernel, SuSE Labs, Research and Development
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nürnberg)
"Experience is the name everyone gives to their mistakes." -- Oscar Wilde




More information about the Linux-HA mailing list